package phuturewarez.spawnerz.items;

import cpw.mods.fml.relauncher.Side;
import cpw.mods.fml.relauncher.SideOnly;
import phuturewarez.spawnerz.Spawnerz;
import phuturewarez.spawnerz.lib.Reference;
import net.minecraft.client.renderer.texture.IIconRegister;
import net.minecraft.item.Item;

public class EmptySpawner extends Item {

	public EmptySpawner() {
		super();
		this.setUnlocalizedName("spawnerEmpty");
		this.setCreativeTab(Spawnerz.spawnerzTab);
		this.setMaxStackSize(16);
	}
	
	@Override
	@SideOnly(Side.CLIENT)
	public void registerIcons(IIconRegister iconReg) {
		itemIcon = iconReg.registerIcon(Reference.MOD_ID + ":" + (this.getUnlocalizedName().substring(this.getUnlocalizedName().indexOf(".")+1)));
	}

}
